%?mingw_package_header

Name:           mingw-SDL2_image
Version:        2.0.4
Release:        %mkrel 1
Summary:        MinGW Windows port of the Image loading library for SDL2

License:        LGPLv2+
Group:          Development/Other
URL:            http://www.libSDL.org/projects/SDL_image/
Source0:        http://www.libSDL.org/projects/SDL_image/release/SDL2_image-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-SDL2
BuildRequires:  mingw32-libpng
BuildRequires:  mingw32-libjpeg-turbo
BuildRequires:  mingw32-libtiff
BuildRequires:  mingw32-libwebp


BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-SDL2
BuildRequires:  mingw64-libpng
BuildRequires:  mingw64-libjpeg-turbo
BuildRequires:  mingw64-libtiff
BuildRequires:  mingw64-libwebp


%description
Simple DirectMedia Layer (SDL2) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, PPM, PCX, GIF, JPEG, PNG) as SDL2 surfaces.


# Win32
%package -n mingw32-SDL2_image
Summary:        MinGW Windows port of the Image loading library for SDL2

%description -n mingw32-SDL2_image
Simple DirectMedia Layer (SDL2) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, PPM, PCX, GIF, JPEG, PNG) as SDL2 surfaces.

# Win64
%package -n mingw64-SDL2_image
Summary:        MinGW Windows port of the Image loading library for SDL2

%description -n mingw64-SDL2_image
Simple DirectMedia Layer (SDL2) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, PPM, PCX, GIF, JPEG, PNG) as SDL2 surfaces.


%?mingw_debug_package


%prep
%autosetup -p1 -n SDL2_image-%{version}


%build
# the --disabled-*-shared lines below stops SDL2_image from loading those
# libraries at link time. Instead they are loaded when needed.
%mingw_configure \
    --disable-jpg-shared \
    --disable-png-shared \
    --disable-tif-shared \
    --disable-webp-shared \
    --disable-static
#    --disable-dependency-tracking \

%mingw_make %{?smp_mflags}


%install
%mingw_make DESTDIR=$RPM_BUILD_ROOT install


# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Strip wrong end of line encoding
sed -i 's/\r$//' README.txt CHANGES.txt COPYING.txt

# Win32
%files -n mingw32-SDL2_image
%doc README.txt CHANGES.txt COPYING.txt
%{mingw32_bindir}/SDL2_image.dll
%{mingw32_libdir}/libSDL2_image.dll.a
%{mingw32_libdir}/pkgconfig/SDL2_image.pc
%{mingw32_includedir}/SDL2

# Win64
%files -n mingw64-SDL2_image
%doc README.txt CHANGES.txt COPYING.txt
%{mingw64_bindir}/SDL2_image.dll
%{mingw64_libdir}/libSDL2_image.dll.a
%{mingw64_libdir}/pkgconfig/SDL2_image.pc
%{mingw64_includedir}/SDL2


%changelog
* Fri Nov 16 2018 akien <akien> 2.0.4-1.mga6
+ Revision: 1330137
- Version 2.0.4, security update (mga#22769)
- Fixed security vulnerability in XCF image loader (CVE-2017-2887, mga#21881)

* Fri Nov 18 2016 akien <akien> 2.0.1-2.mga6
+ Revision: 1068281
- Use %%mkrel to get the proper .mga6 suffix when building on infra_5

* Fri Nov 18 2016 akien <akien> 2.0.1-1.mga6
+ Revision: 1068260
- Add mandatory RPM group
- import mingw-SDL2_image from Fedora Rawhide, mingw-SDL2_image-2.0.1-1.fc26

